Aadhaar eKYC V1 — Refresh Captcha
Get a fresh captcha image for an Aadhaar eKYC session. Use this when the user needs to retry captcha verification.
curl -X GET "https://production.deepvue.tech/v1/ekyc/aadhaar/reload-captcha?session_id=example_string&consent=example_string&purpose=example_string" \
-H "Content-Type: application/json" \
-H "x-api-key: YOUR_API_KEY" \
-H "client-id: YOUR_API_KEY"
import requests
import json
url = "https://production.deepvue.tech/v1/ekyc/aadhaar/reload-captcha?session_id=example_string&consent=example_string&purpose=example_string"
headers = {
"Content-Type": "application/json",
"x-api-key": "YOUR_API_KEY",
"client-id": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://production.deepvue.tech/v1/ekyc/aadhaar/reload-captcha?session_id=example_string&consent=example_string&purpose=example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"x-api-key": "YOUR_API_KEY",
"client-id": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://production.deepvue.tech/v1/ekyc/aadhaar/reload-captcha?session_id=example_string&consent=example_string&purpose=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("x-api-key", "YOUR_API_KEY")
req.Header.Set("client-id", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://production.deepvue.tech/v1/ekyc/aadhaar/reload-captcha?session_id=example_string&consent=example_string&purpose=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['x-api-key'] = 'YOUR_API_KEY'
request['client-id'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"timestamp": 1738305161129,
"transaction_id": "489dc198583e441c8a66a48ba3059442",
"data": {
"captcha": "base64-encoded-captcha-string"
},
"code": 200
}
{
"detail": "Inactive client_id"
}
{
"detail": "Not authenticated"
}
{
"detail": "Not a valid token"
}
{
"detail": [
{
"loc": [
"query",
"session_id"
],
"msg": "field required",
"type": "value_error.missing"
}
]
}
{
"detail": "Internal Server Error"
}
{
"code": null,
"timestamp": null,
"transaction_id": "string",
"message": "Unable to create a session"
}
GET
/v1/ekyc/aadhaar/reload-captcha
GET
API Key (header: x-api-key)
x-api-keystring
RequiredThe CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
API Key (header: client-id)
client-idstring
RequiredThe CLIENT_ID provided to you. This header parameter is required for authentication purposes.
The CLIENT_ID provided to you. This header parameter is required for authentication purposes.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
x-api-keystring
RequiredAPI Key for authentication. The CLIENT_SECRET provided to you. This header parameter is required for authentication purposes.
header
client-idstring
RequiredAPI Key for authentication. The CLIENT_ID provided to you. This header parameter is required for authentication purposes.
Query Parameters
Responses
codeinteger
timestampinteger
transaction_idstring
dataobject
captchafile
detailstring
detailstring
detailstring
detailarray
locstring[]
msgstring
typestring
detailstring
codeinteger
timestampinteger
transaction_idstring
messagestring
Consent must be mandatorily stored at your end before proceeding with verification.
Was this page helpful?
Last updated 4 weeks ago
Built with Documentation.AI